XDHUPrivateParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class XDHUPrivateParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.XDHUPrivateParameters

- All Implemented Interfaces:
    CipherParameters

      public class XDHUPrivateParameters
      extends java.lang.Object
      implements CipherParameters

  Parameters holder for private unified static/ephemeral agreement using Edwards Curves.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey, AsymmetricKeyParameter ephemeralPrivateKey)`
    `XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey, AsymmetricKeyParameter ephemeralPrivateKey, AsymmetricKeyParameter ephemeralPublicKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsymmetricKeyParameter` | `getEphemeralPrivateKey()`
    `AsymmetricKeyParameter` | `getEphemeralPublicKey()`
    `AsymmetricKeyParameter` | `getStaticPrivateKey()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDHUPrivateParameters

          public XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey,
                                       AsymmetricKeyParameter ephemeralPrivateKey)

    - #### XDHUPrivateParameters

          public XDHUPrivateParameters(AsymmetricKeyParameter staticPrivateKey,
                                       AsymmetricKeyParameter ephemeralPrivateKey,
                                       AsymmetricKeyParameter ephemeralPublicKey)

  - ### Method Detail

    - #### getStaticPrivateKey

          public AsymmetricKeyParameter getStaticPrivateKey()

    - #### getEphemeralPrivateKey

          public AsymmetricKeyParameter getEphemeralPrivateKey()

    - #### getEphemeralPublicKey

          public AsymmetricKeyParameter getEphemeralPublicKey()